> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Postgres Plans

> List the Managed Postgres plans the caller can choose when creating or forking a cluster in an organization, cheapest first.



## OpenAPI

````yaml /api/machines/openapi.json get /v1/postgres/plans
openapi: 3.1.0
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security:
  - FlyBearerAuth: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/postgres/plans:
    get:
      tags:
        - Postgres Clusters
      summary: List Postgres Plans
      description: >-
        List the Managed Postgres plans the caller can choose when creating or
        forking a cluster in an organization, cheapest first.
      operationId: Postgres_plans_list
      parameters:
        - name: org_slug
          in: query
          description: >-
            Fly Organization Slug, or 'personal' for the caller's personal
            organization
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listPostgresPlansResponse'
        '400':
          description: org_slug is required and must be a string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
components:
  schemas:
    listPostgresPlansResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PostgresPlan'
    PostgresErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        status:
          type: string
          description: Optional machine-readable error status.
          example: sessions_not_terminated
    PostgresPlan:
      type: object
      properties:
        cpu_kind:
          type: string
          description: CPU class.
          example: shared
          enum:
            - shared
            - performance
        cpus:
          type: integer
          description: vCPUs per node.
          example: 2
        memory_mb:
          type: integer
          description: Memory per node in megabytes.
          example: 1024
        monthly_price_usd:
          type: integer
          description: Base monthly price in US dollars.
          example: 38
        plan:
          type: string
          description: Plan slug. Pass it as `plan` when creating or forking a cluster.
          example: basic
          enum:
            - basic
            - starter
            - launch
            - scale
            - Performance
  securitySchemes:
    FlyBearerAuth:
      type: http
      scheme: bearer
      description: >-
        A Fly API token with access to the requested organization or resource.
        Send it as `Authorization: Bearer <Fly API token>`.

````